KD SOAP API Documentation: KDSoapHeaders Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapHeaders Class Reference

`#include <KDSoapMessage.h>`

Inheritance diagram for KDSoapHeaders:
[legend]
Collaboration diagram for KDSoapHeaders:
[legend]

## Public Member Functions
KDSoapMessage | header (const QString &name) const
KDSoapMessage | header (const QString &name, const QString &namespaceUri) const
Public Member Functions inherited from QList< KDSoapMessage >
| QList ()
| QList (const QList< T > &other)
| QList (InputIterator first, InputIterator last)
| QList (QList< T > &&other)
| QList (std::initializer_list< T > args)
| ~QList ()
void | append (const QList< T > &value)
void | append (const T &value)
const T & | at (int i) const const
T & | back ()
const T & | back () const const
QList::iterator | begin ()
QList::const_iterator | begin () const const
QList::const_iterator | cbegin () const const
QList::const_iterator | cend () const const
void | clear ()
QList::const_iterator | constBegin () const const
QList::const_iterator | constEnd () const const
const T & | constFirst () const const
const T & | constLast () const const
bool | contains (const T &value) const const
int | count () const const
int | count (const T &value) const const
QList::const_reverse_iterator | crbegin () const const
QList::const_reverse_iterator | crend () const const
bool | empty () const const
QList::iterator | end ()
QList::const_iterator | end () const const
bool | endsWith (const T &value) const const
QList::iterator | erase (QList::iterator begin, QList::iterator end)
QList::iterator | erase (QList::iterator pos)
T & | first ()
const T & | first () const const
T & | front ()
const T & | front () const const
int | indexOf (const T &value, int from) const const
void | insert (int i, const T &value)
QList::iterator | insert (QList::iterator before, const T &value)
bool | isEmpty () const const
T & | last ()
const T & | last () const const
int | lastIndexOf (const T &value, int from) const const
int | length () const const
QList< T > | mid (int pos, int length) const const
void | move (int from, int to)
bool | operator!= (const QList< T > &other) const const
QList< T > | operator+ (const QList< T > &other) const const
QList< T > & | operator+= (const QList< T > &other)
QList< T > & | operator+= (const T &value)
bool | operator< (const QList< T > &lhs, const QList< T > &rhs)
QList< T > & | operator<< (const QList< T > &other)
QList< T > & | operator<< (const T &value)
QDataStream & | operator<< (QDataStream &out, const QList< T > &list)
bool | operator<= (const QList< T > &lhs, const QList< T > &rhs)
QList< T > & | operator= (const QList< T > &other)
QList< T > & | operator= (QList< T > &&other)
bool | operator== (const QList< T > &other) const const
bool | operator> (const QList< T > &lhs, const QList< T > &rhs)
bool | operator>= (const QList< T > &lhs, const QList< T > &rhs)
QDataStream & | operator>> (QDataStream &in, QList< T > &list)
T & | operator[] (int i)
const T & | operator[] (int i) const const
void | pop_back ()
void | pop_front ()
void | prepend (const T &value)
void | push_back (const T &value)
void | push_front (const T &value)
uint | qHash (const QList< T > &key, uint seed)
QList::reverse_iterator | rbegin ()
QList::const_reverse_iterator | rbegin () const const
int | removeAll (const T &value)
void | removeAt (int i)
void | removeFirst ()
void | removeLast ()
bool | removeOne (const T &value)
QList::reverse_iterator | rend ()
QList::const_reverse_iterator | rend () const const
void | replace (int i, const T &value)
void | reserve (int alloc)
int | size () const const
bool | startsWith (const T &value) const const
void | swap (int i, int j)
void | swap (QList< T > &other)
void | swapItemsAt (int i, int j)
T | takeAt (int i)
T | takeFirst ()
T | takeLast ()
QSet< T > | toSet () const const
std::list< T > | toStdList () const const
QVector< T > | toVector () const const
T | value (int i) const const
T | value (int i, const T &defaultValue) const const

## Additional Inherited Members
Static Public Member Functions inherited from QList< KDSoapMessage >
QList< T > | fromSet (const QSet< T > &set)
QList< T > | fromStdList (const std::list< T > &list)
QList< T > | fromVector (const QVector< T > &vector)
Public Attributes inherited from QList< KDSoapMessage >
typedef | const_pointer
typedef | const_reference
typedef | const_reverse_iterator
typedef | ConstIterator
typedef | difference_type
typedef | Iterator
typedef | pointer
typedef | reference
typedef | reverse_iterator
typedef | size_type
typedef | value_type

## Detailed Description

Set of headers that can be provided when making a SOAP call.

See also
  KDSoapClientInterface

Definition at line 184 of file KDSoapMessage.h.

## Member Function Documentation

## ◆ header() [1/2]

KDSoapMessage KDSoapHeaders::header | ( | const QString & | name | ) | const

Convenience method: return the header with a given XML element name (assumes unicity)

Definition at line 200 of file KDSoapMessage.cpp.

References header(), and KDSoapValue::name().

Referenced by header(), and header().

## ◆ header() [2/2]

KDSoapMessage KDSoapHeaders::header | ( | const QString & | name,
|  | const QString & | namespaceUri
| ) |  | const

Convenience method: return the header with a given XML element name and namespace (assumes unicity)

Definition at line 210 of file KDSoapMessage.cpp.

References header(), QString::isEmpty(), KDSoapValue::name(), and KDSoapValue::namespaceUri().

The documentation for this class was generated from the following files:

- KDSoapMessage.h
- KDSoapMessage.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8